TITLE    							                { sim041a.pde }
   'Earth-Moon Gravitation, Divergence'
SELECT
   spectral_colors
DEFINITIONS                                     	{ SI units }
   d=3.84e8     Lx=d     Ly=d
   m1=5.98e24     m2=7.35e22     		{ Masses of Earth and Moon }
   G=6.67e-11					{ Graviational constant }
   U=-G*m1/sqrt(x^2+y^2)- G*m2/sqrt(x^2+(y-d)^2)
   gx=-dx(U)     gy=-dy(U)                 		{ Field components }
   gv=vector( gx, gy)     gm=sqrt( gx^2+ gy^2)  	{ Vector and magnitude }
   laplace_xy=dxx(U)+dyy(U)			{ In (x,y) coordinates }
BOUNDARIES
region 'domain' start(-Lx,-Ly/2)
   line to (Lx,-Ly/2) to (Lx,3/2*Ly)  to (-Lx,3/2*Ly) to finish
PLOTS
   contour( abs( laplace_xy)) log
END

