TITLE   'Plane Wave in Two Different Media'		         { sim163.pde }
SELECT    errlim=1e-6    ngrid=1    spectral_colors    	
COORDINATES     cartesian1	         { One-dimensional (x) }
VARIABLES     Ezr     Ezi			{ Real and imaginary parts }
DEFINITIONS                                        	{ SI units throughout }
   Lx=1.0     Ly=0.05 		
   eps0=8.85e-12     eps			{ Permittivity }
   mu0=4*pi*1e-7   mu 				{ Permeability }
   sigma						{ Electric conductivity }
   c0=3.00e8     omega=3e9 		{ c0=velocity of light in a vacuum }
Ez_in=1.0                   			{ Input field Ezr+i*Ezi }
   Ezp=sqrt(Ezr^2+ Ezi^2)  			{ Modulus of Ez }
   phase=sign( Ezi)*arccos( Ezr/Ezp)/pi*180 	{ Phase angle }
EQUATIONS					{ Tagged by dominant variable }
   Ezr:  dxx( Ezr)+ mu*eps*omega^2*Ezr+ mu*sigma*omega*Ezi=0
   Ezi:   dxx( Ezi)+ mu*eps*omega^2*Ezi- mu*sigma*omega*Ezr=0
BOUNDARIES
region 'vacuum'   eps=eps0  	mu=mu0   sigma=0  	{ 1D region }
   start(0) point value(Ezr)=Ez_in   point value(Ezi)=0
   line to (Lx) point value(Ezr)=0  point value(Ezi)=0
region 'hypo'  eps=4*eps0   mu=mu0   sigma=1e-2
   start(Lx/2) line to (Lx)
PLOTS
   elevation( Ezr, Ezi, Ezp) from (0) to (Lx)
   elevation( sigma) from (0) to (Lx)
   elevation( phase) from (0) to (Lx)
END

