TITLE   'Plane Wave in Two Different Media, Resonance'	{ sim164.pde }
SELECT     errlim=1e-4    ngrid=1     spectral_colors
VARIABLES     Ezr     Ezi			{ Real and imaginary parts }
DEFINITIONS                                        	{ SI units throughout }
   Lx=1.0     Ly=0.05 		
   eps0=8.85e-12     eps			{ Permittivity }
   mu0=4*pi*1e-7   mu 				{ Permeability }
   sigma						{ Electric conductivity }
   c0=3.00e8     omega=4*pi*c0/Lx 		{ Reversed order }
   Ez_in=1.0                   			{ Input field Ezr+i*Ezi }
   Ezp=sqrt(Ezr^2+ Ezi^2)  			{ Modulus of Ez }
   phase=sign( Ezi)*arccos( Ezr/Ezp)/pi*180 	{ Phase angle }
EQUATIONS
   Ezr:  del2( Ezr)+ mu*eps*omega^2*Ezr+ mu*sigma*omega*Ezi=0
   Ezi:   del2( Ezi)+ mu*eps*omega^2*Ezi- mu*sigma*omega*Ezr=0
BOUNDARIES
region 'vacuum'   eps=eps0  	mu=mu0   sigma=0
   start(0,0) natural(Ezr)=0  natural(Ezi)=0  line to (Lx,0)
   value(Ezr)=0  value(Ezi)=0 line to (Lx,Ly)
   natural(Ezr)=0  natural(Ezi)=0 line to (0,Ly)
   value(Ezr)=Ez_in   value(Ezi)=0   line to finish
region 'hypo'   eps=4*eps0   mu=mu0   sigma=0
   start(Lx/2,0)  line to (Lx,0) to (Lx,Ly) to (Lx/2,Ly) to finish
PLOTS
   elevation( Ezr, Ezi, Ezp) from (0,Ly/2) to (Lx,Ly/2)
   elevation( phase) from (0,Ly/2) to (Lx,Ly/2)
END

