TITLE   'Plane Wave in Two Different Media, Scan'		{ sim165.pde }
SELECT     errlim=1e-5     spectral_colors    stages=40 	
COORDINATES     cartesian1	         { One-dimensional (x) }
VARIABLES     Ezr     Ezi			{ Real and imaginary parts }
DEFINITIONS                                        	{ SI units throughout }
   Lx=1.0     Ly=0.05 		
   eps0=8.85e-12     eps			{ Permittivity }
   mu0=4*pi*1e-7   mu 				{ Permeability }
   sigma						{ Electric conductivity }
   c0=3.00e8     omega=(3.69+stage*0.001)*1e9				{ c0=velocity of light in a vacuum }
Ez_in=1.0                   			{ Input field Ezr+i*Ezi }
   Ezp=sqrt(Ezr^2+ Ezi^2)  			{ Modulus of Ez }
   phase=sign( Ezi)*arccos( Ezr/Ezp)/pi*180 	{ Phase angle }
EQUATIONS					{ Tagged by dominant variable }
   Ezr:  dxx( Ezr)+ mu*eps*omega^2*Ezr+ mu*sigma*omega*Ezi=0
   Ezi:   dxx( Ezi)+ mu*eps*omega^2*Ezi- mu*sigma*omega*Ezr=0
BOUNDARIES
region 'vacuum'   eps=eps0  	mu=mu0   sigma=0  	{ 1D region }
   start(0) point value(Ezr)=Ez_in   point value(Ezi)=0
   line to (Lx) point value(Ezr)=0  point value(Ezi)=0
region 'hypo'   eps=4*eps0   mu=mu0   sigma=0
   start(0.45*Lx)  line to (Lx)
PLOTS
   elevation( Ezr, Ezi) from (0) to (Lx) fixed range(-800,800)
   elevation( phase) from (0) to (Lx)
   history( Ezr, Ezi) at (0.1*Lx)     history( phase) at (0.1*Lx)
END

