TITLE   'Plane Wave Traversing a Dielectric Plate'  	       { sim167a.pde }
SELECT     errlim=1e-6     spectral_colors
VARIABLES     Ezr     Ezi			{ Real and imaginary parts }
COORDINATES     cartesian1
DEFINITIONS                                        	{ SI units throughout }
   Lx=1.5     Ly=0.05			
   eps0=8.85e-12     eps			{ Permittivity }
   mu0=4*pi*1e-7   mu 				{ Permeability }
   sigma						{ Electric conductivity }
   omega=5e9                 			{ Angular frequency }
   Ez_in=1.0                   			{ Input field Ezr+i*Ezi }
   Ezp=sqrt(Ezr^2+ Ezi^2)  			{ Modulus of Ez }
   phase=sign( Ezi)*arccos( Ezr/Ezp)/pi*180 	{ Phase angle }
   k=omega*sqrt( mu*eps)				{ Wave number }
EQUATIONS
   Ezr:  dxx( Ezr)+ mu*eps*omega^2*Ezr+ mu*sigma*omega*Ezi=0
   Ezi:   dxx( Ezi)+ mu*eps*omega^2*Ezi- mu*sigma*omega*Ezr=0
BOUNDARIES
region 'vacuum'   eps=eps0   mu=mu0   sigma=0
   start(0)  point value(Ezr)=Ez_in   point value(Ezi)=0	{ Input }
   line to (Lx) point natural( Ezr)=k*Ezi   			{ Output }
   		   point natural( Ezi)=-k*Ezr
region 'dielectric' 	eps=4*eps0   mu=mu0   sigma=0
   start(0.45*Lx) line to (0.55*Lx)
PLOTS
   elevation( Ezr, Ezi, Ezp) from (0) to (Lx)	
   elevation( phase) from (0) to (Lx)	
END

