TITLE   'Wave in a Cavity, New Resonance' 	 	       { sim171a.pde }
SELECT     errlim=1e-4    ngrid=1  nodelimit=800   spectral_colors
   stages=12	
VARIABLES   Ezr   Ezi				        	
DEFINITIONS                                        	
   Lx=1.0     Ly=0.8     eps0=8.85e-12     eps			
   mu0=4*pi*1e-7     mu     sigma						
   Ez_in=1.0     omega=(4.475+0.01*stage)*1e9	
#include 'waves_xy.pde'
EQUATIONS
   Ezr:   del2( Ezr)+ mu*eps*omega^2*Ezr+ mu*sigma*omega*Ezi=0
   Ezi:    del2( Ezi)+ mu*eps*omega^2*Ezi- mu*sigma*omega*Ezr=0
BOUNDARIES
region 'vacuum'   eps=eps0   mu=mu0   sigma=0
   start 'outer' (0,0)   value(Ezr)=0   value(Ezi)=0
   line to (Lx,0) to (Lx,Ly) to (0,Ly)
   value(Ezr)=Ez_in   value(Ezi)=0   line to finish
PLOTS
   contour( Ezr) painted report( omega)     surface( Ezr)	
   contour( Ezi) painted     contour( Bxi) painted    contour( Byi) painted
   vector( Bi)     history( Ezr) at (Lx/6,Ly/6)
END

