TITLE   'Wave in a Cavity, Frequency Scan'		  	{ sim171b.pde }
SELECT     errlim=1e-4    nodelimit=800     ngrid=1     spectral_colors
   stages=10	
VARIABLES   Ezr   Ezi				        	
DEFINITIONS                                        	
   Lx=1.0     Ly=0.8     eps0=8.85e-12     eps			
   mu0=4*pi*1e-7     mu     sigma						
   Ez_in=1.0     omega=(3.9985+0.001*stage)*1e9		
#include 'waves_xy.pde'
   m=2     n=3     c0=3.00e8
   omega_res=pi*c0*sqrt( (m/Lx)^2+ (n/Ly)^2)
EQUATIONS
   Ezr:   del2( Ezr)+ mu*eps*omega^2*Ezr+ mu*sigma*omega*Ezi=0
   Ezi:    del2( Ezi)+ mu*eps*omega^2*Ezi- mu*sigma*omega*Ezr=0
BOUNDARIES
region 'vacuum'   eps=eps0   mu=mu0   sigma=0
   start 'outer' (0,0)   value(Ezr)=0   value(Ezi)=0
   line to (Lx,0) to (Lx,Ly) to (0,Ly)
   value(Ezr)=Ez_in   value(Ezi)=0   line to finish
PLOTS
   contour( Ezr) report( omega) report( omega_res)	
   contour( Ezi) 	
   contour( Bxr)     contour( Bxi)     contour( Byr)     contour( Byi)
   vector( Bi) norm      history( Ezr) at (Lx/4,Ly/2)
END

