TITLE   'Wave in a Cavity, Degenerate Eigenstates'	       { sim173a.pde }
SELECT     errlim=1e-4    ngrid=5  nodelimit=800   spectral_colors     modes=3	
VARIABLES   Ezr        				        	
DEFINITIONS                                        	
   r0=1.0     Ezi=0	
   eps0=8.85e-12     eps     mu0=4*pi*1e-7   mu=mu0			
   omega=sqrt( lambda/(mu0*eps0))			
#include 'waves_xy.pde'
   Ez_norm=Ezr/sqrt( area_integral( Ezr^2))
EQUATIONS
   del2( Ezr)+ lambda*Ezr=0
BOUNDARIES
region  'vacuum'   eps=eps0   mu=mu0			
   start 'outer' (0,r0)   value(Ezr)=0
   arc( center=0,0)  angle=360  finish  	
PLOTS
   contour( Ez_norm) painted
   contour( Ez_norm^2) report( omega)
   transfer(Ez_norm) file='Ez_norm'
END

