TITLE   'Particle Scattering in 1D, Gaussian V(x)'              { sim183.pde }
SELECT     errlim=1e-4
COORDINATES    cartesian1			
VARIABLES     psir     psii
DEFINITIONS			
   Lx=3e-9     Ly=Lx/20     d=0.4e-9  	
   me=9.1096e-31     h=6.6262e-34     W=5e-19     p=sqrt( 2*me*W)	
   k=2*pi*p/h     c=8*pi^2*me/h^2     psip=sqrt( psir^2+ psii^2)	
   V=1.2*W*exp( -x^2/d^2)				{ Potential energy }	
EQUATIONS
   psir:	dxx(psir)- c*V*psir+ c*W*psir=0
   psii:	dxx(psii)- c*V*psii+ c*W*psii=0
BOUNDARIES
region 'domain'   start (-Lx)   point value( psir)=1   point value( psii)=0
   line to (Lx)   point natural( psir)=-k*psii   point natural( psii)=k*psir	
PLOTS
   elevation( V) from (-Lx) to (Lx)
   elevation( psir, psii, psip) from (-Lx) to (Lx)
END


