TITLE   'Particle Scattering in 1D, V0<0'	      			{ sim184.pde }
SELECT     errlim=1e-4 				
COORDINATES    cartesian1			{ (x) only }
VARIABLES     psir     psii
DEFINITIONS						{ SI units throughout }
   Lx=3e-9     d=0.4e-9  	
   me=9.1096e-31 					{ Electron mass }
   h=6.6262e-34 						{ Planck?s constant }
   W=5e-19							{ Kinetic energy, fixed }	
   p=sqrt( 2*me*W)					{ Momentum }
   k=2*pi*p/h 						{ Wave number }
   c=8*pi^2*me/h^2					{ Coefficient for PDE }	
   psip=sqrt( psir^2+ psii^2)				{ Local peak value }	
   V0=-10*W     V 												
   psir_in=cos(k*(x+Lx))	     psii_in=sin(k*(x+Lx))
EQUATIONS
   psir:	dxx(psir)- c*V*psir+ c*W*psir=0
   psii:	dxx(psii)- c*V*psii+ c*W*psii=0
BOUNDARIES
region 'domain'   V=0
   start (-Lx)   point value( psir)=1   point value( psii)=0
   line to (Lx)   point natural( psir)=-k*psii   point natural( psii)=k*psir	
region 'barrier'   V=V0
   start (0) line to (d)
PLOTS
   elevation( psir, psii, psip) from (-Lx) to (Lx) report( W/V0)
   elevation( psir, psii, psip) from (0) to (d) report( W/V0)   	{ Barrier }
   elevation( psir, psii, psip) from (d) to (Lx) report( W/V0)
   elevation( psir^2, psii^2) from (-Lx) to (Lx)
   elevation( psir^2, psii^2, psir^2+psii^2) from (d) to (Lx)
   elevation( psir_in, psir) from (-Lx) to (0) report( W/V0)
   elevation( psii_in, psii) from (-Lx) to (0) report( W/V0)
END


