TITLE   'Particle in a Shallow Potential Well'		       { sim185a.pde }
SELECT     errlim=1e-4     modes=5	
COORDINATES    cartesian1		
VARIABLES     psi		
DEFINITIONS			
   Lx=3e-9     d=1e-9		
   me=9.1096e-31     h=6.6262e-34     c=8*pi^2*me/h^2	
   V0=2e-18     V 						{ Potential energy }		
   int_psi2=integral( psi^2)			{ Integral in 1D over domain }
   W1=h^2/(8*me*d^2)				{ Lowest energy, estimated }
   psi1=psi/sqrt( int_psi2)			{ Normalized wave function }
   well=V/V0*globalmax( abs(psi))		{ Display potential well }
EQUATIONS
   dxx(psi)- c*V*psi+ lambda*c*psi=0
BOUNDARIES
region 'domain'   V=V0
   start (-Lx) point value( psi)=0     line to (Lx) point value( psi)=0
region 'well'  V=0
   start (-d/2) line to (d/2)
PLOTS
   elevation( psi, well) from (-Lx) to (Lx) report( W1)
   elevation( psi1^2) from (-d/2) to (d/2)  		
END

