TITLE   'Particle in a Gaussian Potential Well'		         { sim186.pde }
SELECT     errlim=1e-4     modes=5	
COORDINATES    cartesian1		
VARIABLES     psi		
DEFINITIONS			
   Lx=3e-9     d=1e-9		
   me=9.1096e-31     h=6.6262e-34     c=8*pi^2*me/h^2	
   V=1e-17*( 1- exp(-x^2/d^2))   		{ Potential energy V   }
   int_psi2= integral( psi^2)			{ Integral in 1D }
   psi1=psi/sqrt( int_psi2)			{ Normalized wave function }
   well=V/1e-17*globalmax( abs( psi))	{ For plot only }
EQUATIONS
   dxx(psi)- c*V*psi+ lambda*c*psi=0
BOUNDARIES
BOUNDARIES
region 'domain'
   start (-Lx) point value( psi)=0     line to (Lx) point value( psi)=0
PLOTS
   elevation( psi, well) from (-Lx) to (Lx)
   elevation( psi1^2) from (-d/2) to (d/2)  		
END

