TITLE   'Harmonic Oscillator in 1D'					{ sim191.pde }
SELECT     errlim=1e-4     modes=5	
COORDINATES     cartesian1		
VARIABLES     psi
DEFINITIONS
   Lx=20e-10
   me=9.1096e-31     h=6.6262e-34     c=8*me*pi^2/h^2        	
   f0=1e15     V=2*pi^2*me*f0^2*x^2
   int=integral( psi^2) 					{ 1D integral over x }
   psi1=psi/sqrt( int)
EQUATIONS
   dxx( psi)- V*c*psi+ lambda*c*psi=0
BOUNDARIES
region 'domain' start(-Lx)  point value(psi)=0
   line to (Lx)  point value(psi)=0
PLOTS
   elevation( psi1) from (-Lx) to (Lx) report(h*f0)
   elevation( psi1^2) from (-Lx) to (Lx)
END

