TITLE   'Harmonic Oscillator in 1D, Comparison'             { sim191b.pde }
SELECT     errlim=1e-4     modes=12			
COORDINATES     cartesian1		
VARIABLES     psi
DEFINITIONS
   Lx=20e-10
   me=9.1096e-31     h=6.6262e-34     c=8*me*pi^2/h^2        	
   f0=1e15     V=2*pi^2*me*f0^2*x^2
   int=integral( psi^2) 					{ 1D integral over x }
   psi1=psi/sqrt( int)
   a=sqrt(11.5*h/(2*pi^2*me*f0))		{ Classical amplitude for i=12 }
   dPdx=1/pi/sqrt(a^2-x^2)				{ Differential probability }
EQUATIONS
   dxx( psi)- V*c*psi+ lambda*c*psi=0
BOUNDARIES
region 'domain' start(-Lx)  point value(psi)=0
   line to (Lx)  point value(psi)=0
PLOTS
   elevation( dPdx, psi1^2) from (-0.99*a) to (0.99*a)
END



