TITLE     'Obstacle Across a Channel, Close to Wall'        { sim202a.pde }
SELECT     errlim=1e-4     ngrid=1     spectral_colors
VARIABLES     phi                        	{ Velocity potential }
DEFINITIONS
   Lx=1.0     Ly=1.0     a=0.2
   vx0=5.0                			{ x-component of velocity at left end }
   p0=1e5              			{ Atmospheric pressure at left end }
   dens=1e3            			{ Mass density }
   vx=dx( phi)     vy=dy( phi)      	{ Velocity components }
   v=vector( vx,vy)     vm=magnitude( v)
   p=p0+ 0.5*dens*( vx0^2- vm^2)  	{ Pressure }
EQUATIONS
   div( grad( phi))=0
BOUNDARIES
region 'domain'
   start 'outer'(-Lx,0.3*Ly) point value( phi)=0
   natural( phi)= -vx0     line to (-Lx,-Ly)
   natural( phi)=0     line to (Lx,-Ly)
   natural( phi)=vx0     line  to (Lx,0.3*Ly)
   natural( phi)=0 line to close		{ Keep 'obstacle' below }
   start 'obstacle' (a,0) 						{ Cut-out }
   natural( phi)=0  arc( center=0,0) angle=360
PLOTS
   contour( vm) painted     vector( v) norm
   vector( v) norm zoom(-3*a/2,-a/2,  2*a,2*a)
   contour( p) painted     elevation( p) on 'obstacle'
   elevation( p) from (-Lx,-Ly) to (Lx,-Ly)
   elevation( p) from (-Lx,0.3*Ly) to (Lx,0.3*Ly)
END


