TITLE     'Drag and Lift on a Plate'				         { sim203.pde }
SELECT     errlim=1e-4     ngrid=1     spectral_colors
VARIABLES     phi                       	{ Velocity potential }
DEFINITIONS
   Lx=1.0     Ly=1.0     a=0.5*Ly     d=0.2* a
   vx0=5.0					{ x-component of velocity at left end }
   alpha=30* pi/180     			{ Angle of attack, radians }
   si=sin( alpha)     co=cos( alpha)
   x1=-d/2*si- a/2*co     y1=-d/2*co+ a/2*si	{ Corner coordinates }
   x2=d/2*si- a/2*co     y2=d/2*co+ a/2*si
   x3=-x1     y3=-y1     x4=-x2     y4=-y2               		
   p0=1e5              			{ Atmospheric pressure at left end }
   dens=1e3				{ Mass density }
   vx= dx(phi)     vy= dy(phi)      	{ Velocity components }
   v=vector( vx, vy)     vm=magnitude( v)
   p=p0+ 0.5*dens*(vx0^2-vm^2)	{ Pressure }
   brute_force=p0* 2*y2
EQUATIONS
   dxx( phi)+ dyy( phi)=0
BOUNDARIES
region 'domain'
   start 'outer' (-Lx,Ly) point value( phi)=0
   natural( phi)=-vx0     line to (-Lx,-Ly)
   natural( phi)=0     line to (Lx,-Ly)
   natural( phi)=vx0     line  to (Lx,Ly)
   natural( phi)=0     line to close
   start 'obstacle' (x1,y1)   						{ Cut-out }
   natural( phi)=0 line to (x2,y2) to (x3,y3) to (x4,y4) close
PLOTS
   contour( vm) painted     vector( v) norm     contour( p) painted      	
   elevation( p) from (-Lx,-Ly) to (-Lx,Ly) report(brute_force)	{ Left }
   elevation( p) from (Lx,-Ly) to (Lx,Ly)					{ Right }
   elevation( p) from (-Lx,-Ly) to (Lx,-Ly)				{ Bottom }
   elevation( p) from (-Lx,Ly) to (Lx,Ly)				{ Top }
END

