TITLE   'Flow Due to a Moving Wall'			         { sim211.pde }
SELECT     errlim=1e-5      spectral_colors    	
VARIABLES     vx     vy     p
DEFINITIONS
   Lx=1.0     Ly=1.0     vx0=1e-3     visc=1e4		{ Viscosity }
   dens=1e3     Re=dens*vx0*2*Ly/visc			{ Reynolds number }
   v=vector( vx, vy)     vm=magnitude( v)			{ Speed }
EQUATIONS     	{ Tagged by dominant variable }	{ For vanishing Re }
   vx:		dx( p)- visc*div( grad( vx))=0
   vy:		dy( p)- visc*div( grad( vy))=0
   p:		div( grad( p))=0		{ Divergence term neglected }
BOUNDARIES
region 'domain'  start 'outer' (-Lx,Ly)
   natural( vx)=0   value( vy)=0   value(p)=0   line to (-Lx,-Ly)	{ Left }
   value( vx)=0   value( vy)=0   natural(p)=-visc*div( grad( vy))
   line to (Lx,-Ly)   natural( vx)=0   value( vy)=0   value(p)=0 	{ Right }
   line to (Lx,Ly)   value( vx)=vx0   value( vy)=0   			{ Upper }
   natural(p)=visc*div( grad( vy))  line to close
PLOTS
   elevation( vx, vy) on 'outer' report( Re)		
   contour( vx)     contour( vy)     contour( p)
   vector( v) norm
   contour( div( v))     contour( curl( v))
END


