TITLE   'Tangential Input Velocity'				         { sim214.pde }
SELECT     errlim=1e-4     ngrid=1   nodelimit=800   spectral_colors
VARIABLES     vx     vy     p
DEFINITIONS
   Lx=1.0     Ly=1.0     visc=1.0
   vy0=1e-5								{ Input velocity }
   dens=1e3     Re=dens*globalmax( vx)*2*Ly/visc	
   v=vector( vx, vy)     vm=magnitude( v)
   unit_x=vector(1,0)     unit_y=vector(0,1)	{ Unit vector fields }
   nx=normal( unit_x)     ny=normal( unit_y)	{ Direction cosines }
!   natp=visc*( nx*div( grad( vx))+ ny*div( grad( vy)))
   natp = 0  {RGN 12/12/08} 
EQUATIONS
   vx:		dx( p)- visc*div( grad( vx))=0
   vy:		dy( p)- visc*div( grad( vy))=0
   p:		div( grad( p))- 1e4*visc/Ly^2*div( v)=0			
CONSTRAINTS
   { with all derivative boundary conditions, P is indeterminate.
     introduce a constraing to make P single-valued.  RGN 12/12/08 }
   integral(P)=0
BOUNDARIES
region 'domain' start 'outer' (-Lx,-Ly)
   value( vx)=0   value( vy)=0   natural(p)=natp
   line to (Lx,-Ly) to (Lx,Ly) to (-Lx,Ly)
   value( vx)= 0   value( vy)=vy0   line to close
PLOTS
   vector( v) norm report(Re)     contour( vm) 	
   contour( p)     contour( div( v))     contour( curl( v)) painted
END


