TITLE     'Channel with a Lateral Cavity'			          { sim215.pde }
SELECT     errlim=1e-4     ngrid=1  nodelimit=800   spectral_colors
VARIABLES     vx     vy     p
DEFINITIONS
DEFINITIONS
   Lx=1.0     Ly=1.0     visc=0.1	
   delp=1e-6							{ Replaces vy0 }	
   dens=1e3     Re=dens*globalmax( vx)*2*Ly/visc	
   v=vector( vx, vy)     vm=magnitude( v)
   unit_x=vector(1,0)     unit_y=vector(0,1)
!   natp=visc*( normal( unit_x)*del2( vx)+ normal( unit_y)*del2( vy))
   natp=0   {RGN 12/12/08}
EQUATIONS
   vx:	dx( p)- visc*del2( vx)=0
   vy:	dy( p)- visc*del2( vy)=0
   p:	del2( p)- 1e4*visc/Ly^2*div( v)=0	
BOUNDARIES
region 'domain'  start 'outer' (0,Ly)
   natural(vx)=0   value( vy)=0   value(p)=delp		{ In }
   line to (0,0)   value(vx)=0   value(vy)=0   natural(p)=natp
   line to  (Lx,0) to (Lx,-Ly) to (2*Lx,-Ly) to (2*Lx,0) to (3*Lx,0)
   natural(vx)= 0    value(p)=0    line to (3*Lx,Ly)  	{ Out }
   value(vx)= 0   natural(p)=natp  line to close
PLOTS
   vector( v) norm report( Re)     contour( vm) 	
   vector( v) norm  zoom(Lx,-Ly,  Lx,Ly)     contour( p)	
   contour( div( v))     contour( curl(v)) painted
   elevation( vx) from (0.5*Lx,0) to (0.5*Lx,Ly)
   elevation( vx) from (1.5*Lx,-Ly) to (1.5*Lx,Ly)
   elevation( vx) from (2.5*Lx,0) to (2.5*Lx,Ly)
END

