TITLE   'Uniform Velocity of Injection'			         { sim216.pde }
SELECT     errlim=1e-3     ngrid=1  nodelimit=800   spectral_colors
VARIABLES     vx     vy     p  	{ Pressure minus ambient }
DEFINITIONS
   Lx=1.0     Ly=Lx     coef=0.5     visc=1.0
   vx0=1e-5							{ Input velocity }
   dens=1e3     Re=dens*vx0*2*Ly/visc	
   v=vector( vx, vy)     vm=magnitude( v)
   unit_x=vector(1,0)     unit_y=vector(0,1)	{ Unit vector fields }
   nx=normal( unit_x)     ny=normal( unit_y)	{Direction cosines }
!   natp=visc*[ nx*div( grad( vx))+ ny*div( grad( vy))]
   natp=0     {RGN 12/12/08}
EQUATIONS
   vx:		dx( p)- visc*div( grad( vx))=0
   vy:		dy( p)- visc*div( grad( vy))=0
   p:		div( grad( p))- 1e4*visc/Ly^2*div( v)=0			
BOUNDARIES
region 'domain'  start 'outer' (0,Ly)
   value( vx)=vx0   natural( vy)=0  natural( p)=natp    	{ In }
   line to (0,-Ly)  value( vx)=0   value( vy)=0   natural( p)=natp
   line to (Lx,-Ly) to (2*Lx,-Ly*coef) to (3*Lx,-Ly*coef)  	{ Wall }
   natural( vx)=0   natural( vy)=0   value( p)=0			{ Out }
   line  to (3*Lx,Ly*coef)  value( vx)=0   value( vy)=0   natural( p)=natp
   line to (2*Lx,Ly*coef) to (Lx,Ly) to close 			{ Wall }
PLOTS
   elevation( vx) from (0,-Ly) to (0,Ly)
   elevation( vx, 0.1*dy( vx)) from (3*Lx,-Ly*coef) to (3*Lx,Ly*coef)
   elevation( p) on 'outer'     vector( v) norm report(Re)
   contour( vx)     contour( vy)     contour( vm) 	
   contour( p)     contour( div( v))     contour( curl( v)) painted
END



