TITLE     'Forces on a Circular Cylinder'         { sim221b.pde }
SELECT     errlim=1e-3     ngrid=1 nodelimit=2000    spectral_colors
VARIABLES     vx      vy       p
DEFINITIONS
   Lx=2.0     Ly=1.0     a=0.2     visc=1e4
   delp=100								{ Driving pressure }
   dens=1e3     Re=dens*globalmax( vx)*2*Lx/visc	
#include 'visc_xy.pde'
   F_wall_x=line_integral( force_vx,'outer') 	{ Force on walls }
   F_vx=line_integral( force_vx,'outline') 	{ Viscous force }
   F_px=line_integral( force_px,'outline') 		{ Pressure force }
   F_x=line_integral( force_x,'outline') 		{ Sum of x-forces }
   F_vy=line_integral( force_vy,'outline') 		{ Viscous force }
   F_py=line_integral( force_py,'outline') 		{ Pressure force }
   F_y=line_integral( force_y,'outline') 		{ Sum of y-forces }
EQUATIONS
   vx:		dx( p)- visc*div( grad( vx))=0
   vy:		dy( p)- visc*div( grad( vy))=0
   p:		div( grad( p))- 1e4*visc/Ly^2*div( v)=0
BOUNDARIES
region 'domain'  start 'outer' (-Lx,Ly)
   natural( vx)=0   natural( vy)=0    value(p)=delp			{ In }
   line to (-Lx,-Ly)   natural( vx)=0   value( vy)=0   natural(p)=0	
   line to (Lx,-Ly)  natural( vx)=0   natural( vy)=0   value(p)=0  	{ Out }
   line to (Lx,Ly)  natural( vx)=0   value( vy)=0   natural(p)=0
   line to close
   start 'outline' (a,0)					{ Exclude }	
   value( vx)=0  value( vy)=0   natural(p)=0			        { natp=0 }
   arc( center=0,0) angle=360 close
PLOTS
   contour( vx) report( Re)     elevation( force_vx) on 'outline'
summary
   report(F_wall_x)
   report(   F_vx) report(   F_px) report(F_x)
   report(   F_vy) report(   F_py) report(F_y)
END


