TITLE     'Percolation in (x,y) by Navier-Stokes' 	         { sim232.pde }
SELECT     errlim=1e-4     ngrid=1  nodelimit=2000   spectral_colors	
VARIABLES     vx     vy     p
DEFINITIONS
   L=1.0     visc=1e-3     k=1e-12     dens=1e3
   p0=1e5     delp=1e3     Fgy=-dens*9.81  		{ Gravity }
   v=vector( vx, vy)     vm=magnitude(v)
   unit_x=vector(1,0)     unit_y=vector(0,1)
   nx=normal( unit_x)     ny=normal( unit_y)
   natp=nx*0+ ny*Fgy- visc/k*( nx*vx+ ny*vy)
EQUATIONS                  		
   vx:		dx( p)+ visc/k*vx=0		
   vy:		dy( p)- Fgy+ visc/k*vy=0			
   p:		div( grad( p))- 1e4*visc/L^2*div( v)=0	
BOUNDARIES
region 'domain' start 'outer' (0,0)
   natural( vx)=0   natural( vy)=0    value( p)=p0  line to (L,0)  { Bottom }
   value( vx)=0   natural( vy)=0   natural( p)=natp   line to (L,L)	{ Slip: }
   natural( vx)=0   value( vy)=0   natural( p)=natp  line to (0,L)
   value( vx)=0   natural( vy)=0   natural( p)=natp   line to (0,2/3*L)
   value( vx)=-k/visc*dx( p)   value( vy)=0
      value( p)=p0+delp+(L/2-y)*Fgy   line to (0,L/3)	{ Seeping window }
   value( vx)=0   natural( vy)=0 natural(p)=natp line to close
PLOTS
   contour( vx)     contour( vy)
   vector( v) norm      contour( vm) painted
   contour( p) painted     elevation( p) on 'outer'
   contour( div( v))     contour( curl( v)) painted
   elevation( vx, vy) on 'outer'				{ Verification of BCs }
END

