TITLE     'Flow past a Circular Cylinder'			         { sim242.pde }
SELECT     stages=7     ngrid=1  nodelimit=800   spectral_colors
VARIABLES     vx     vy     p
DEFINITIONS
   Lx=1.0     Ly=1.5     r0=0.2     visc=1.0				
   delp=staged( 1e-6, 1e-3, 1e-2, 3e-2, 0.1, 0.2, 0.2) 	  { Pressures}
   dens=1e3     MRe=dens*globalmax( vx)*2*r0/visc	  { Modified Re }
   v=vector( vx, vy)     vm=magnitude( v)
   unit_x=vector(1,0)     unit_y=vector(0,1)
   nx=normal( unit_x)     ny=normal( unit_y)
   vxdvx=vx*dx(  vx)+ vy*dy( vx)     vxdvy=vx*dx( vy)+ vy*dy( vy)
   natp=    if stage=7 then visc*( nx*div( grad( vx))+ ny*div( grad( vy)))
      -dens*( nx*vxdvx+  ny*vxdvy)   else 0
   dens_term=    if stage=7 then dens*( dx( vxdvx)+ dy( vxdvy))  else 0
EQUATIONS
   vx:		dens*vxdvx+ dx( p)- visc*div( grad( vx))=0
   vy:		dens*vxdvy+ dy( p)- visc*div( grad( vy))=0
   p:		div( grad( p))+ dens_term- 1e4*visc/Ly^2*div( v)=0
BOUNDARIES
region 'domain'  start 'outer' (-Lx,Ly)
   natural( vx)=0  natural( vy)=0   value( p)=delp		{ In }
   line to (-Lx,0)   natural( vx)=0   value( vy)=0   natural(p)=0   { Symm. }
   line to (-r0,0)   value(vx)=0   value(vy)=0   natural(p)=natp	
      arc( center=0,0) angle=-180 to (r0,0) 			{ Cylinder }
   natural( vx)=0   value( vy)=0   natural(p)=0 			{ Symmetry }
   line to (5*Lx,0)   natural( vx)=0   natural( vy)=0   value(p)=0  	{ Out }
   line to (5*Lx,Ly)   natural( vx)=0   value( vy)=0   natural(p)=natp
   line to close       							{ Wall }
PLOTS
   contour( vm) painted report( MRe)    contour( vx/delp) report( MRe)
   vector( v) norm     vector( v) norm zoom(0,0, 3*r0,3*r0) report( MRe)
   contour( p) painted report( MRe) report( delp*2*Ly/MRe)
   elevation( vx) from (-Lx,0) to (-Lx, Ly)
   elevation( vx) from (5*Lx,0) to (5*Lx, Ly)
END


