TITLE     'Viscous Boundary Layer'				         { sim243.pde }
SELECT     stages=7     ngrid=1     spectral_colors     nodelimit=800
VARIABLES     vx     vy     p
DEFINITIONS
   Lx=3.0     Ly=3.0     a=0.3     visc=1e-3		
   delp=staged( 1e-11, 1e-10, 1e-9, 3e-9, 1e-8, 3e-8, 3e-8)
   dens=1e3     Re=dens*globalmax( vx)*2*Ly/visc
   v=vector( vx, vy)     vm=magnitude( v)	
   unit_x=vector(1,0)     unit_y=vector(0,1)
   nx=normal( unit_x)     ny=normal( unit_y)
   vxdvx=vx*dx(  vx)+ vy*dy( vx)     vxdvy=vx*dx( vy)+ vy*dy( vy)
   natp=    if stage=7 then visc*( nx*div( grad( vx))+ ny*div( grad( vy)))
      -dens*( nx*vxdvx+  ny*vxdvy)   else 0
   dens_term=    if stage=7 then dens*( dx( vxdvx)+ dy( vxdvy))  else 0
EQUATIONS
   vx:		dens*vxdvx+ dx( p)- visc*div( grad( vx))=0
   vy:		dens*vxdvy+ dy( p)- visc*div( grad( vy))=0
   p:		div( grad( p))+ dens_term- 1e4*visc/Ly^2*div( v)=0
BOUNDARIES
region 'domain'  start 'outer' (-Lx,Ly)
   natural( vx)=0   value( vy)=0   value(p)=delp			 { In }
   line to (-Lx,0)   natural( vx)=0   value( vy)=0   natural(p)=natp   { Slip }
   line to (-a,0)
   value(vx)=0   value(vy)=0   natural(p)=natp   line to (a,0)  { No slip }
   natural( vx)=0   value( vy)=0   natural(p)=natp   line to (4*Lx,0)
   natural( vx)=0   value( vy)=0   value(p)=0  			 { Out }
   line to (4*Lx,Ly)   natural( vx)=0   value( vy)=0   natural(p)=natp
   line to close
PLOTS
   contour( vx) painted report( Re)     contour( p) painted	
   vector( v) norm     contour( div( v))     contour( curl( v)) painted
   elevation( vx) from (0,0) to (0,Ly) report( Re)
END

